# DeleteCompany

Delete a company

`DELETE /w9/companies/{id}`

**API:** Avalara 1099 & W-9 API Definition
**Tag:** Companies W9
**API Version:** 2.0
**Base URL:** https://api.sbx.avalara.com/avalara1099
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/avalara-1099-and-w9/api/methods/Companies%20W9/DeleteCompany/

## Description

Delete a company.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `id` | string | path | Yes | The company to delete |
| `avalara-version` | string | header | Yes | API version |
| `X-Correlation-Id` | string | header | No | Unique correlation Id in a GUID format |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API. For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 204 | Company deleted |  |
| 401 | Authentication failed. | `ErrorResponse` |
| 404 | Company was not found or your user does not have to permission to delete it. |  |
| 409 | Company can't be deleted since it still have forms associated with it. |  |
| 500 | An error happened while attempting to delete the company. | `ErrorResponse` |

## Example Request

```bash
curl -X DELETE "https://api.sbx.avalara.com/avalara1099/w9/companies/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```